Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.publication.protocol.v3
Class SendMessageResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.ResponseType
          be.fgov.ehealth.ehbox.publication.protocol.v3.SendMessageResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class SendMessageResponse

extends ResponseType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="Recipient" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType">
                     <sequence minOccurs="0">
                       <element name="AbsentFrom" type="{http://www.w3.org/2001/XMLSchema}date"/>
                       <element name="AbsentTo" type="{http://www.w3.org/2001/XMLSchema}date"/>
                       <element name="Substitute" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <extension base="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType">
                             </extension>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                   </extension>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="SentPublicationId" type="{urn:be:fgov:ehealth:ehbox:core:v3}PublicationIdType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SendMessageResponse()`

Method Summary
`List<Recipient>` | `getRecipients()` Gets the value of the recipients property.
`String` | `getSentPublicationId()` Gets the value of the sentPublicationId property.
`void` | `setSentPublicationId(String value)` Sets the value of the sentPublicationId property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendMessageResponse

    public SendMessageResponse()

Method Detail

### getRecipients

    public List<Recipient> getRecipients()

  Gets the value of the recipients property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the recipients property.

  For example, to add a new item, do as follows:

          getRecipients().add(newItem);

  Objects of the following type(s) are allowed in the list `Recipient`

### getSentPublicationId

    public String getSentPublicationId()

  Gets the value of the sentPublicationId property.

  Returns:
    possible object is `String`

### setSentPublicationId

    public void setSentPublicationId(String value)

  Sets the value of the sentPublicationId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.